﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using HeuristicLab.Core;

namespace HeuristicLab.Algorithms.IteratedSymbolicExpressionConstruction {
  // maps a state action pair to a quality
  public interface IQualityFunction : IStatefulItem {
    double Q(object state, int action);
    void Update(object state, int action, double observedQuality);
    IStateFunction StateFunction { get; }
  }
}
